PHP Manual
Prev |  | Next

# HaruPage::arc

(no version information, might be only in CVS)

HaruPage::arc -- Append an arc to the current path

## Description

bool HaruPage::arc ( float x, float y, float ray, float ang1, float ang2 )

Appends an arc to the current path.

## Parameters

`x`

  Horizontal coordinate of the center.

`y`

  Vertical coordinate of the center.

`ray`

  The ray of the arc.

`ang1`

  The angle of the beginning.

`ang2`

  The angle of the end. Must be greater than `ang1`.

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

Prev | Home | Next
HaruOutline::setOpened | Up | HaruPage::beginText